Subject: Re: [Shop-talk] mojack

From: Eric Murray <[email-masked]>
Date: Wed, 19 Sep 2012 11:41:06 -0700

On 09/13/2012 05:21 AM, john niolon wrote:
> bought a new ZTR mower last season and love it... but it's getting to the time
> when service will be needed...  blade sharpening and such...  been looking at
> the Mo-Jack mower lift systems and they look pretty neat... although somewhat
> expensive... anyone have any experience pro/con with them??... anyone ever build
> a contraption like this ??   sold my a-frame this year (dummy) and really don't
> have a safe way to lift this ZTR and get under it without my wife cashing in my
> life insurance...
>   

On my lawn tractor I raise the deck as high as it'll go and reach under 
with a wrench to undo the bolt that holds each blade on its hub.  It's 
not hard to do.   The blade's got to come off to be sharpened anyhow.  I 
use the bench grinder and files to get the parts that I can't sharpen 
with the grinder.  Then a quick balance check (stick a screwdriver in 
the center hole and grind metal off the low side).

If raising the deck doesn't give you enough space you could make some 
low ramps out of 2x6s.  I think I used a couple 2x6 scraps the first 
time so I could see how the blades were attached.  Now I can do it 
without looking.

Eric
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive